process {
  withLabel: neosplice_container {
    label = 'cloud'
    container = 'docker://spvensko/neosplice:1.5.1.3'
  }
  withLabel: neosplice_augmented_splice_graph_build {
    cpus = 9
    memory = { 2.GB.plus(1.GB * task.attempt)}
  }
  withLabel: neosplice_convert_bam_to_fasta {
    cpus = { 2 * task.attempt }
    memory = { 6.GB.plus(6.GB * task.attempt)}
  }
  withLabel: neosplice_msbwtis {
    cpus = { 6 * task.attempt }
    memory = { 16.GB.plus(16.GB * task.attempt)}
  }
  withLabel: neosplice_convert_bwt_format {
    cpus = { 2 * task.attempt }
    memory = { 6.GB.plus(6.GB * task.attempt)}
  }
  withLabel: neosplice_search_bam {
    cpus = { 2 * task.attempt }
    memory = { 6.GB.plus(6.GB * task.attempt)}
  }
  withLabel: neosplice_get_splice_junctions {
    cpus = { 2 * task.attempt }
    memory = { 6.GB.plus(6.GB * task.attempt)}
  }
  withLabel: neosplice_kmer_graph_inference {
    cpus = { 36 * task.attempt }
    memory = { 18.GB.plus(18.GB * task.attempt)}
  }
  withLabel: neosplice_kmer_search_bwt {
    cpus = 32
    memory = { 6.GB.plus(6.GB * task.attempt)}
  }
}
